:mod:`cjklib.build.builder` --- Build methods
=============================================


.. automodule:: cjklib.build.builder


.. inheritance-diagram:: cjklib.build.builder

Classes
--------

.. currentmodule:: cjklib.build.builder

.. autoclass:: BIG5HKSCSSetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   
.. versionadded:: 0.3

.. autoclass:: BIG5SetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CEDICTBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CEDICTFormatBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CEDICTGRBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CEDICTGRWordIndexBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CEDICTWordIndexBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CFDICTBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CFDICTWordIndexBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CSVFileLoader
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CantoneseIPAInitialFinalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CantoneseYaleInitialNucleusCodaBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CantoneseYaleSyllablesBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterComponentLookupBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterDecompositionBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterDiacriticPinyinBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterHDZReadingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterHangulBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterJapaneseKunBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterJapaneseOnBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterJapaneseRadicalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterJyutpingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterKanWaRadicalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterKangxiRadicalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterKoreanRadicalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterPinyinAdditionalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterPinyinBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterRadicalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterRadicalStrokeCountBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterReadingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterResidualStrokeCountBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterUnihanPinyinBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterVariantBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterVietnameseBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterXHCReadingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterXHPCReadingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CombinedCharacterResidualStrokeCountBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CombinedStrokeCountBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: EDICTBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: EDICTFormatBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: EDICTWordIndexBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: EntryGeneratorBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GB2312SetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRAbbreviationBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRRhotacisedFinalsBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRSyllablesBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GlyphBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GlyphInformationSetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HKSCSSetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HanDeDictBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HanDeDictWordIndexBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: IICoreSetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JISX0208SetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   
.. versionadded:: 0.3

.. autoclass:: JISX0208_0213SetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   
.. versionadded:: 0.3

.. autoclass:: JISX0213SetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   
.. versionadded:: 0.3

.. autoclass:: JyutpingIPAMappingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingInitialFinalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingSyllablesBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingYaleMappingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: KangxiRadicalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: KangxiRadicalIsolatedCharacterBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: Kanjidic2Builder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: LocaleCharacterGlyphBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MandarinBraileFinalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MandarinBraileInitialBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MandarinIPAInitialFinalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinGRMappingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinIPAMappingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinInitialFinalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinSyllablesBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: RadicalEquivalentCharacterBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: SimpleWenlinFormatBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: StrokeCountBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: StrokeOrderBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: StrokesBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: TableBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: TimestampedCEDICTFormatBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnicodeCSVFileIterator
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnihanBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnihanCharacterSetBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnihanDerivedBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnihanGenerator
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnihanStrokeCountBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: VersionBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesInitialFinalBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesPinyinMappingBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesSyllablesBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WordIndexBuilder
   :show-inheritance:
   :members:
   :undoc-members:
   
